Description

Hi,

I can currently set quite complex filters on the issue list with redmine.

The only problem is that the filters have a default behavior of logical "AND" between them and I can't set it to "OR"/other logical

operators.

Related issues:

Has duplicate Redmine - Feature #6695: Allow filters to include an 'OR' search Closed 2010-10-18

Has duplicate Redmine - Feature #12897: Separate "Filter" and "Options" setti... Closed

Is duplicate of Redmine - Feature #4939: List of tasks filtered as OR and not... New 2010-02-26

History

#1 - 2010-09-12 15:01 - Jean-Baptiste Barth

It would add too much complexity to the model. I don't see any known website that offers such a possibility. Any other opinion about that ?

#2 - 2010-10-19 14:36 - Jon Lumpkin

+1 for this issue.

Many of the other issue tracking systems do actually allow this, including:

Jira

Trac

BugTracker.net

I was going to try fogbugz, but I couldn't find a totally open demo install. I don't mind trying other alternatives too, but wasn't sure which others were

large enough or had open demos. I just went through the list of other sites we looked at before using Redmine.

Jira and BugTracker.net both allow you to use 'OR' basically by allowing multiple selections. They either use a listbox or other method for you to

choose more than one option.

Trac on the other hand has another field that allows you to say if its an 'or' or 'and' comparison.

This shouldn't change any models too much, all you would be doing is letting the user build more of the query that they are already making.

#3 - 2010-10-19 14:37 - Jon Lumpkin

+1 for this issue.

Many of the other issue tracking systems do actually allow this, including:

Jira

Trac

BugTracker.net

I was going to try fogbugz, but I couldn't find a totally open demo install. I don't mind trying other alternatives too, but wasn't sure which others were

large enough or had open demos. I just went through the list of other sites we looked at before using Redmine.

Jira and BugTracker.net both allow you to use 'OR' basically by allowing multiple selections. They either use a listbox or other method for you to

choose more than one option.

Trac on the other hand has another field that allows you to say if its an 'or' or 'and' comparison.

This shouldn't change any models too much, all you would be doing is letting the user build more of the query that they are already making.
We would really like this feature because then you could do queries like 'I want to see all issues I am assigned to and watching'.

#4 - 2010-10-19 14:38 - Jon Lumpkin

Could someone remove comment #2? I forgot the redmine.org installation didn't let you edit your comments.

#5 - 2010-11-18 13:14 - Frank Helk

+1

I'd like such options, too ... at least I would appreciate to have list based fields (i.e. status, category, priority, versions) to have multiple selection lists

(OR connected) ... i.e. [Status = New OR Assigned]

On the other hand it would be nice if I could set more than one filter on a text field - i.e. [Subject contains "tracker"] AND [Subject contains "field"].

That would allow more detailled searches in long ticket lists.

A more revolutionary approach: Give two ways of definig filters. The current way and a formula based one. In the formula based filter there could be a

text field for a search formula like [subject~"tracker" and (status=assigned or status=new) and subject!~"project"] meaning "subject contains tracker

but not project and status is assigned or new".

#6 - 2010-11-23 16:03 - Paolo Sulprizio

Frank Helk wrote:

On the other hand it would be nice if I could set more than one filter on a text field - i.e. [Subject contains "tracker"] AND [Subject contains

"field"]. That would allow more detailled searches in long ticket lists.

 there is my feature req #1140 ;)

#7 - 2012-05-16 14:49 - Stéphane Gourichon

Frank Lee : you can have "multiple selection lists" since #1189 is closed.

Regarding them being used for queries, I don't know.

#8 - 2012-09-14 13:36 - Daniel Albuschat

+1

I'd like to create a filter that shows tickets that are scheduled for today (call it "Today's tickets"). But the filter should additionally include tickets with

the priority "Critical", regardless of when the tickets are scheduled (critical tickets don't need scheduling).

#9 - 2012-12-21 13:46 - Gerd Müller

+1

I'd like to list all tickets that are assigned to me OR I'm observing.

#10 - 2012-12-28 18:43 - Jeremy Payn

I agree that there needs to hopefully be greater filter ability. I am needing to set a filter that includes items assigned to me or items authored by me. I

cannot currently do this. What ends up filtering down are the items that I authored and assigned to myself. I would also like the email notifications by

the projects that I choose to include only that, and not other projects that someone assigned me as a watcher on. Thanks.

#11 - 2013-01-18 13:03 - Christian Ziegelt

+1 !

Since redmine ist realy the best system out there I would realy realy like to stay with redmine.

Unfortunately this is a kind of KO criteria for us.

#12 - 2013-01-31 01:25 - peter longfield

+1

See also #10999

#13 - 2013-01-31 16:24 - Anonymous

+1

Also it should be possible to set brackets to refine custom queries

#14 - 2013-02-24 11:48 - Amr Noaman

+1 for this.

#15 - 2013-03-19 09:35 - Knut Meyer

+1 for this.
#16 - 2013-03-19 11:30 - Gurvan Le Dromaguet

+1

Isn't this a duplicate of 4939 ?

#17 - 2013-03-19 17:46 - Daniel Felix

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Duplicate

Gurvan Le Dromaguet wrote:

Isn't this a duplicate of 4939 ?

 Yes. Your right. Currently they are just in relation. I will set this issue as duplicate of #4939 and add the other relation to it.

#18 - 2014-05-23 13:18 - Toshi MARUYAMA

- Related to deleted (Feature #10999: Ticket list filter: More flexible filter conditions)

#19 - 2017-02-13 17:03 - Vladimir Perepechenko

Yes, OR for filters is really needed.

#20 - 2017-05-12 10:12 - Susana Mielgo

+1 for this

#21 - 2017-05-23 10:36 - Augustin de La Rivière

+1 for this

#22 - 2017-08-25 15:51 - Lionel Vanacker

I need too to do filter with logical "OR". How can I do ?

#23 - 2017-11-22 09:16 - Roman Yagodin

+1 for this.

It could be great to allow filters with multiple conditions by same field (e.g. status is "open" AND status is not feedback) also.

#24 - 2018-04-05 19:23 - Albrecht Dreß

+1 for this!

This worked just fine with trac (which has many other drawbacks compared to Redmine, though), by using either the UI or by defining the sql queries

directly.  The latter would be a nice option, too, as it might allow to address more complex use cases.

Typical use case for my organization (note the parentheses…): ticket is open AND (I am assignee OR I am author)

#25 - 2020-10-20 11:57 - Ray Cheung

+1 for this.

#26 - 2022-01-09 17:02 - Erik S.

+1 for this but more logical operators for filters in general also multiple conditions for the same field.

How can this basic functionality not have been prioritized after all these years (11 years!)?

I'm trying to create filters to create a simple Eisenhower Matrix: [[https://todoist.com/productivity-methods/eisenhower-matrix]] with the help of 

tags

but I fail since cannot create the condition:

tag is "Important" AND tag is "Urgent"

for a logical AND. But I can only create a logical OR.    
Please prioritize!

#27 - 2022-03-24 09:27 - Igor M

Erik S. wrote:

+1 for this but more logical operators for filters in general also multiple conditions for the same field.

How can this basic functionality not have been prioritized after all these years (11 years!)?

Please prioritize!

 +1 !!!!!
